PDA

View Full Version : Attention: iPeng to discontinue iOS3 support, please report errors!



pippin
2011-10-17, 03:31
Well, this had to come some day....
I just had to decide to drop support for iOS3 in iPeng (for iPhone) with one of the next releases.
The reason is that obviously with Apple's current SDK development (debug) builds in some cases behave differently than distribution builds like they are being released on the App Store. With the current release we have an issue that didn't show up at all during testing and I can reproduce it only shows up when doing distribution builds which makes it very, very hard to identify let alone fix issues.

Add to that that managing, installing and testing distribution builds under iOS3 is much harder than under iOS 4 and newer which means I have practically no beta tester support for testing under iOS 3 anymore - nobody found this particular issue, for example, even though beta builds were affected, too.

Under these circumstances I find it too risky and way too much effort to continue support for these old platforms.

There will be one additional bugfix release for iOS 3, though. So if you see some errors that need addressing please report them as soon as possible so that I can make sure they are part of that release.

Rick B.
2011-10-17, 03:45
Pippin, for those of us who are technically challenged, can you please explain what this means to users? I have a 2 year-old iPod - does this decision affect me? (I don't even know what iOS3 means!)

Thanks,

andynormancx
2011-10-17, 04:22
On your iPod go to:

Settings -> About

Scroll down until you see the Version item, that is the version of iOS that your iPod is running.

iOS (formerly called iPhoneOS) is the operating system that runs on iPhones, iPod Touches, iPads and Apple TV 2s.

pippin
2011-10-17, 04:26
Yes, you are right, I should explain a bit more.

iOS is the operating system on your iPod. If you bought it two years ago then at that time iOS 3 would have been the version it came with.
If you always did the software updates since then whenever iTunes asked you to, then you are probably currently on iOS 4.1.2 or even iOS 5 (if you do already have a 3rd generation iPod touch, that is if it has 32 or 64 GB of flash memory).

The following users are affected:
1. all users of the 1st Generation iPhone (the one with the aluminum back side) and the 1st Generation iPod touch (the one without hardware volume keys).
2. users of 2ng Generation and 3rd generation devices (iPod Touch 2nd and 3rd generation, iPhone 3G and 3GS) who for some reason or other chose to NOT upgrade their devices to a newer operating system/firmware release. I believe this will especially apply to users of 2nd Generation iPod touch devices and iPhone 3G (not 3GS) who found iOS 4.1 to be too slow.

You can find out about the operating system version on your device under "Settings->General->Info", there's a "Version" field, this is the iOS version.

What does the discontinuing of iPeng's support for these devices mean?
* You will no longer receive updates for iPeng after the next release (or a probable, unplanned, "really final" bugfix release"
* You can no longer purchase iPeng on the App Store
* If your device is one of the devices mentioned under point 2. above, you can continue to get iPeng updates by updating your device to the latest firmware version using iTunes.

What does this mean for other users?
Nothing.

Rick B.
2011-10-18, 05:57
I have the iPod with the shiny aluminum back as in 1. above, but my iOS = 4.2.1 - so does this mean I'm OK or not?

Thanks,

garym
2011-10-18, 06:24
You are ok.

carrera
2011-10-18, 08:11
Hi,

excuse me, but you now discontinue iOS3, and iOS5 is not running yet (Player?) So the only full supported Version ist iOS4?

pippin
2011-10-18, 12:58
Hi,

excuse me, but you now discontinue iOS3, and iOS5 is not running yet (Player?) So the only full supported Version ist iOS4?

Do you have the player problem? Looks like I've got a fix but for me it was _really_ hard to reproduce it so it's not an issue everybody is going to have.

It looks like it only happens whenever you use the code lock screen, so there's a workaround.

And actually, yes. That playback problem was another one of those issues where actually iOS3, iOS4, and iOS5 each behave completely different so that it makes a _lot_ of sense to cut support for one of them.
However, as of NOW, I do still fully support iOS3, there's a bug in the player sync screen, yes, but I'll fix it, whenever I find out how to reliably do that for a distribution build.

iOS 5 is difficult. I had to develop support for it before it came out when only two of my beta testers plus me did already use it. none of them experienced this issue.

carrera
2011-10-18, 15:12
Hi,

Thank You for your answer!

To be honest I do not have a player problem yet, but I wanted to upgrade my iPhone4 and my iPod Touch 4 with the latest iOS5, and heard about some probs.

As I use the player function very often I did not upgrade...

carrera

pippin
2011-10-24, 07:17
bump.
Since even some more issues of the "only showing in iOS 3 and in the release" kind have shown up, I'm even more certain that I need to end iOS 3 support.

So please, if you are an iPeng user with a device that only supports iOS 3, please test it now to see whether there are issues that still need fixing and if yes, please let me know ASAP.

pippin
2011-12-08, 16:27
bump.

OK, there is now one more iPeng (for iPhone) update on the App Store that supports iOS 3 (1.4.5).
The reason I did this is that this update fixes a few connection issues that so far could make iPeng lose contact to the server after a while or when your library contains illegal tags (an issue that has recently come up with some betas again).

It's now quite a bit behind the iPad version (which is already NOT compatible to iOS 3.2, but on iPad you can update the device to the newer OS) regarding the code base so I really believe that this update really is the last one for iOS 3.

So please get it, I plan to leave it available until the end of the year.